package com.blueland.bpm.engine.core.cmd;

import java.util.Map;

import org.activiti.engine.impl.interceptor.Command;
import org.activiti.engine.impl.interceptor.CommandContext;

import com.blueland.bpm.engine.util.CustomProcessDiagramGenerator;
/**
 * 获取流程处理记录div图形
 * @author dsl
 */
public class GetProcessHistoryDivCmd implements Command<Map<String,Object>> {
    protected String processInstanceId;

    public GetProcessHistoryDivCmd(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }

	public Map<String,Object> execute(CommandContext commandContext) {
		try {
			CustomProcessDiagramGenerator customProcessDiagramGenerator = new CustomProcessDiagramGenerator();
			//return customProcessDiagramGenerator.getProcessHistoryDiv(processInstanceId);
			return null;
		} catch (Exception ex) {
			throw new RuntimeException(ex);
		}
	}
}
